API
HQ APIAd campaigns

List ad campaigns for a company

Lists all ad campaigns for a company, optionally filtered, sorted and paginated. The full count matching the filter (before pagination) is returned in the X-Total-Count response header.

GET/v1/hq/companies/{company_id}/ad_campaigns
AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

company_id*string

Query Parameters

filter?
sort?
pagination?
select?array<string>
expand?array<string>

Response Body

application/json

curl -X GET "https://api.noona.is/v1/hq/companies/string/ad_campaigns"
[
  {
    "id": "string",
    "company": "string",
    "name": "string",
    "status": "pending_review",
    "budget": {
      "daily": {
        "amount": 10000,
        "currency": "ISK"
      },
      "total": {
        "amount": 10000,
        "currency": "ISK"
      }
    },
    "schedule": {
      "starts_at": "2019-08-24T14:15:22Z",
      "ends_at": "2019-08-24T14:15:22Z",
      "duration_days": 1
    },
    "targeting": {
      "location": {
        "google_place_id": "string",
        "address": {
          "city": "string",
          "postalCode": "string",
          "street": "string",
          "region": "string",
          "locality": "string",
          "country": "string"
        },
        "formatted_address": "string",
        "lat_lng": {
          "lat": 0.1,
          "lng": 0.1
        },
        "country": {
          "short_name": "IS",
          "long_name": "Iceland"
        },
        "time_zone": "Atlantic/Reykjavik"
      },
      "radius": 0
    },
    "promotables": [
      {
        "type": "ad",
        "ad": "string"
      }
    ],
    "spend": {
      "total": {
        "amount": 10000,
        "currency": "ISK"
      },
      "today": {
        "amount": 10000,
        "currency": "ISK"
      },
      "today_date": "string"
    },
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "starts_at": "2019-08-24T14:15:22Z"
  }
]
Empty
Empty
Empty
Empty
Empty